<app-store-head></app-store-head>
<div class="card">
  <div class="card-header">
    <div class="card-title">
      Panier({{items.length}})
    </div>
  </div>
  <hr>
  <div class="card-body" *ngFor="let item of items" style="display:flex ;">
 <div class="col-2">
  <span style="display:block;">
    <img src="{{item.uri}}" height="50" width="50" alt="">
   </span>
   <a role="button" style="color: red;">Supprimer</a>
   <br>
   <a role="button" style="color: red;">Modifier</a>

 </div>
 <div class="col-7">
   {{item.description}}
 </div>
 <div class="col-3">

   <p>
       {{item.price}} fcfa
  </p>
  <p style="display: flex; width:100px; background:chartreuse;text-align:center;padding:5px">
    <a role="button" style="width:30px; text-decoration:none;color:white">-</a>
    1
    <br>
    <a role="button" style="width: 30px; margin-left:20px;text-decoration:none;color:white">+</a>
  </p>
 </div>

  </div>
   <div class="card-body" *ngIf="!hasItem">
     <h2>Le panier est vide</h2>
     <a href="/" class="btn btn-primary">Continuer mes achats</a>
   </div>

</div>

<div class="card card-right" *ngIf="hasItem">
   <div class="card-header">
     <div class="card-title">
       Resume du panier
     </div>
   </div>
   <hr>
   <div class="card-body">
     sous total: {{total}} fcfa
   </div>
   <hr>
   <div class="card-footer" type="button" (click)="checkOut()">
  <a (click)="checkOut()" class="btn " type="button">Commander</a>
   </div>
</div>

<div class="container" hidden>
  <app-store-recommendation [url]="url"></app-store-recommendation>

</div>


<app-store-footers></app-store-footers>



